> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/ipt/ip-transit/modifyiptransitsattribute.md).

# ModifyIPTransitsAttribute

## 1. API Description

This API (ModifyIPTransitsAttribute) is used to modifies basic information of an IP Transit, including name and description.

{% hint style="info" %}
**Notes**

* If any of the specified IDs do not exist, this operation will fail immediately.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                         |
| -------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------- |
| iptIds         | Yes      | Array of String | <p>List of IP Transit IDs.</p><p>Maximum: 100.</p>                                                                  |
| iptName        | No       | String          | <p>IP Transit name.</p><p>Maximum: 255 characters.</p><p>At least one of name or description must be specified.</p> |
| iptDescription | No       | String          | <p>IP Transit description.</p><p>At least one of name or description must be specified.</p>                         |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Modify IP Transit name**

```json
POST /api/v2/ipt HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyIPTransitsAttribute
Request：
{
    "iptIds": ["your-ipt-id"],
    "iptName": "IPT-Singapore"
}
Response：
{
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
